Physically print the stored PDF files of marketplace external documents using the configured PDF print template set.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"documentFileIds": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document"
payload = { "documentFileIds": ["b45f6432-2462-4c6f-b00f-1d9d01000000"] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({documentFileIds: ['b45f6432-2462-4c6f-b00f-1d9d01000000']})
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'documentFileIds' => [
'b45f6432-2462-4c6f-b00f-1d9d01000000'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document"
payload := strings.NewReader("{\n \"documentFileIds\": [\n \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"documentFileIds\": [\n \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"documentFileIds\": [\n \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n ]\n}"
response = http.request(request)
puts response.read_bodyMarketplace Order
Physically print the stored PDF files of marketplace external documents using the configured PDF print template set.
Physically print the stored PDF files of marketplace external documents using the configured PDF print template set.
POST
/
v2
/
marketplace
/
orders
/
print-external-document
Physically print the stored PDF files of marketplace external documents using the configured PDF print template set.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"documentFileIds": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document"
payload = { "documentFileIds": ["b45f6432-2462-4c6f-b00f-1d9d01000000"] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({documentFileIds: ['b45f6432-2462-4c6f-b00f-1d9d01000000']})
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'documentFileIds' => [
'b45f6432-2462-4c6f-b00f-1d9d01000000'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document"
payload := strings.NewReader("{\n \"documentFileIds\": [\n \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"documentFileIds\": [\n \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/marketplace/orders/print-external-document")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"documentFileIds\": [\n \"b45f6432-2462-4c6f-b00f-1d9d01000000\"\n ]\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Body
application/json
Request parameters
Response
Successfully sent the external document PDF files to the printer.
Was this page helpful?